Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162205 - When selecting File|Print in a GNOME program using libgnomeprint (e.g., evince, gedit, evolution) the follwing message is printed for each printer defined in CUPS: WARNING **: failed request with status 200. Generic POstscript appears in the printer se...
Summary: When selecting File|Print in a GNOME program using libgnomeprint (e.g., evinc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libgnomecups
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 19:57 UTC by Michael Osborne
Modified: 2013-03-06 03:43 UTC (History)
1 user (show)

Fixed In Version: Fedora Core 6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-22 14:10:26 UTC


Attachments (Terms of Use)

Description Michael Osborne 2005-06-30 19:57:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I can see the request for the ppd listed in the cups access log:

xxx - - [30/Jun/2005:14:28:37 -0500] "GET /ppd/xxxxx.ppd HTTP/1.1" 200 38064

The ppd request succeeds with a status of 200. I do not understand why libgnomecups thinks the request fails when a status of 200 means success.

The cups printers work correctly and all printer options are available when used when used from openoffice.org-1.9.112-1.1.0.fc4. They also work correctly under KDE.


Version-Release number of selected component (if applicable):
gedit-2.10.2-4

How reproducible:
Always

Steps to Reproduce:
1. Start gedit, evince, or evolution from command line
2. Select File | Print
3. Watch errors appear
  

Actual Results:   WARNING **: failed request with status 200 

appeared for each defined cups printer and "Generic Postscript" was selected as default printer. No printer specific options are available.

Expected Results:  1. PPD requests should not fail with a status of 200
2. Printer specific options should be available in print dialog
3. Correct default printer should be selected


Additional info:

Comment 1 Paul Finnigan 2006-02-27 23:35:07 UTC
I too had the same problem. After much digging around I found that a network
rework had left my /etc/hosts file in a bit of a state. Altering the entery for
the local host to be:

127.0.0.1 myname.mydomain localhost

fixed it for me. It must be to do with the default network assumptions for CUPS.

Comment 2 Christian Iseli 2007-01-22 11:05:19 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Michael Osborne 2008-08-02 20:16:37 UTC
The original summary for this bug was longer than 255 characters, and so it was truncated when Bugzilla was upgraded. The original summary was:

When selecting File|Print in a GNOME program using libgnomeprint (e.g., evince, gedit, evolution) the follwing message is printed for each printer defined in CUPS: WARNING **: failed request with status 200. Generic POstscript appears in the printer selection dialog instead of the correct default printer. All printers are still listed and documents can be printed by selecting a printer but no printer specific options are available.


Note You need to log in before you can comment on or make changes to this bug.